Bug 230006 - Need revoke() for f-u-s
Need revoke() for f-u-s
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity urgent
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
: Reopened
Depends On:
Blocks: 230005
  Show dependency treegraph
Reported: 2007-02-25 14:21 EST by David Zeuthen
Modified: 2013-03-05 22:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2007-02-25 14:21:05 EST
We need a revoke() mechanism whereby we can revoke access to a certain device
for a certain user. One trivial example is a campus setup where the computers
have audio / video capture equipment and fast user switching is enabled.

As f-u-s is going to be enabled by default in Fedora 7 this is getting rather
urgent. Alan suggested that I should ask Al Viro for this. Thanks.
Comment 1 Alan Cox 2007-02-25 18:28:00 EST
As you can currently leave processes running snooping the audio device and some
video setups I'd count this as security.

Proposed patch for upstream is 
From: Pekka J Enberg <penberg@cs.helsinki.fi>
To: linux-kernel@vger.kernel.org
cc: linux-fsdevel@vger.kernel.org, hch@lst.de, alan@lxorguk.ukuu.org.uk
Subject: [RFC/PATCH] revokeat/frevoke system calls V5
Date: Sun, 28 Jan 2007 22:06:46 +0200 (EET)

but hasn't gone anywhere so needs pushing.

Couple of fun ways to abuse the lack of revoke available and if need be I'll
publish them so we can make people understand why we need revoke().

Comment 3 Alan Cox 2007-02-25 18:42:41 EST
Oops last should have kit but 230005 not 230006
Comment 4 Bug Zapper 2008-04-03 15:15:19 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 David Zeuthen 2008-04-03 19:44:31 EDT
We still need this. Also removing the annoying triaging alias from this bug report.
Comment 6 Bug Zapper 2008-05-13 22:38:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Dave Jones 2008-06-30 15:10:58 EDT
Leaving this open isn't going to make appear in Fedora any faster.
Progress on this feature upstream has been glacial, and unless we have resources
to assign to it, I don't see it happening any sooner.

When it eventually appears upstream, we'll enable it, but until then, this bug
is just filler.
Comment 8 Alan Cox 2008-06-30 16:16:08 EDT
Closing the bug isn't going to make it happen either
Comment 9 Dave Jones 2008-06-30 16:22:09 EDT
ok, so lets leave it open forever for no apparent reason.
Comment 11 Bug Zapper 2009-06-09 18:28:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-14 12:44:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.